###################################
#          Example Usage          #
###################################
# The variables                   #
#   k8s_config,                   #
#   k8s_context and               #
#   k8s_namespace                 #
# are assumed to be set properly  #
##################################################################
# - name: Deploy My Service                                      #
#   include_tasks: "ansible-templates/k8s_tasks/k8s-service.yml" #
#   vars:                                                        #
#     app_name: "my-cool-app"                                    #
#     app_ports:                                                 #
#     - name: "my-cool-service"                                  #
#       port: 1880                                               #
#       targetPort: 1880                                         #
##################################################################

- name: Create the service
  k8s:
    state: present
    kubeconfig: "{{ k8s_config }}"
    context: "{{ k8s_context }}"
    namespace: "{{ k8s_namespace }}"
    definition:
      apiVersion: v1
      kind: Service
      metadata:
        creationTimestamp: null
        labels:
          app: "{{ app_name }}"
        name: "{{ app_name }}"
        namespace: "{{ k8s_namespace }}"
      spec:
        ports:
          "{{ app_ports }}"
        selector:
          app: "{{ app_name }}"
      status:
        loadBalancer: {}

